API ReferenceCampaigns
Campaigns Shipping Methods Destroy
Delete a shipping method on the campaign.
Authorization
oauth2 campaigns:writeAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: campaigns:write
Path Parameters
id*integer
Campaign ID.
shippingMethodId*integer
Shipping method reference ID, unique within the campaign.
Header Parameters
X-29next-API-Version*"2024-04-01"
Default
"2024-04-01"Value in
- "2024-04-01"
Response Body
curl -X DELETE "https://example.com/campaigns/0/shipping-methods/0/" \ -H "X-29next-API-Version: 2024-04-01"Empty
Campaigns Shipping Methods CreatePOST
Create a shipping method on the campaign. `price` is set for the campaign's default currency; every other currency configured on the campaign is populated automatically through forex conversion.
Campaigns Shipping Methods ListGET
List every shipping method on the campaign.